.linha-temporal {
    font-family: 'Roboto', sans-serif;
    color: #1C1C1C;

    display: flex;
    flex-direction: column;
    align-items: center;

    padding: 100px 10px 0 10px;
    margin-bottom: 55px;
}

.linha-temporal__titulo {
    font-size: 30px;
    color: #737373;

    text-align: center;
}

.linha-temporal__subtitulo {
    font-size: 18px;
    color: #737373;
    margin-top: 5px;

    text-align: center;

    max-width: 400px;
}

.linha-temporal__container {
    margin-top: 50px;

    display: flex;
    flex-direction: column;
    gap: 50px;
}

.linha-temporal__secao {
    font-family: 'Roboto', sans-serif;

    display: flex;
    align-items: start;
    gap: 40px;

    position: relative;
}

.linha-temporal__secao::before {
    position: absolute;
    content: '';
    left: 42px;
    top: 25px;

    height: calc(100% + 35px);

    border-left-width: 4px;
    border-left-style: solid;
    border-image: repeating-linear-gradient(to bottom,
            black 0,
            black 20px,
            transparent 20px,
            transparent 40px) 1 stretch;
}

.linha-temporal__secao__ano {
    font-size: 40px;

    margin-top: 60px;

    position: sticky;
    top: 120px;

    background-color: white;
}

.linha-temporal__secao__ano::after {
    position: absolute;
    top: -40px;
    left: calc(50% - 20px);
    content: '';
    width: 40px;
    height: 40px;
    background-color: #FFC107;
    border-radius: 20px;
}

.linha-temporal__secao__sobre {
    display: flex;
    flex-direction: column;
    align-items: start;

    width: 100%;
}

.linha-temporal__secao__sobre-titulo {
    font-size: 22px;

    width: calc(100% - 60px);
    max-width: 340px;

    padding: 20px 20px 20px 40px;

    background-color: #FFD54F;

    -webkit-clip-path: polygon(30px 0,
            100% 0,
            100% 100%,
            30px 100%,
            0 50%);

    clip-path: polygon(30px 0,
            100% 0,
            100% 100%,
            30px 100%,
            0 50%);
}

.linha-temporal__secao__sobre-conteudo {
    display: flex;
    gap: 10px;

    margin-top: 25px;
}

.linha-temporal__secao__sobre-conteudo p {
    font-size: 18px;
    width: 100%;
    max-width: 400px;
    text-indent: 20px;
}

.linha-temporal__secao__sobre-conteudo-img {
    position: relative;
}

.linha-temporal__secao__sobre-conteudo-img img {
    transform: rotateZ(5deg);

    width: 240px;
}

.linha-temporal__secao__sobre-conteudo-img::before {
    position: absolute;
    content: '';
    top: 0;
    left: 0;

    background-color: #FFC107;

    width: 240px;
    height: 240px;
}


@media screen and (max-width: 700px) {
    .linha-temporal__subtitulo {
        max-width: 400px;
    }

    .linha-temporal__secao__ano {
        font-size: 30px;
    }

    .linha-temporal__secao__ano::after {
        top: -35px;
        left: calc(50% - 17px);
        width: 30px;
        height: 30px;
    }

    .linha-temporal__secao::before {
        left: 32px;
        top: 26px;

        border-left-width: 2px;
    }

    .linha-temporal__secao__sobre-conteudo {
        flex-direction: column;
        align-items: center;
        gap: 20px;
    }

    .linha-temporal__secao__sobre-conteudo-img img {
        width: 100%;
        max-width: 240px;
    }

    .linha-temporal__secao__sobre-conteudo-img::before {
        width: 100%;
        max-width: 240px;
        height: 100%;
        max-height: 240px;
    }
}